
package com.gekko_holding.webservice.v2_4;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for offer complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="offer">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="offerCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="totalPrice" type="{http://webservice.gekko-holding.com/v2_4}priceBean"/>
 *         &lt;element name="taxes" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="voucherObservation" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="cancellationFeesPolicy" type="{http://webservice.gekko-holding.com/v2_4}cancellationFeesPolicy" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="roomOffers" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="roomOffer" type="{http://webservice.gekko-holding.com/v2_4}roomOffer" maxOccurs="unbounded" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *       &lt;attribute name="currency" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
 *       &lt;attribute name="onRequest" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *       &lt;attribute name="negotiatedRate" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *       &lt;attribute name="rateAccessCode" type="{http://www.w3.org/2001/XMLSchema}string" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "offer", propOrder = {
    "offerCode",
    "totalPrice",
    "taxes",
    "voucherObservation",
    "cancellationFeesPolicy",
    "roomOffers"
})
public class Offer {

    @XmlElement(required = true)
    protected String offerCode;
    @XmlElement(required = true)
    protected PriceBean totalPrice;
    protected Double taxes;
    protected String voucherObservation;
    @XmlElement(nillable = true)
    protected List<CancellationFeesPolicy> cancellationFeesPolicy;
    protected Offer.RoomOffers roomOffers;
    @XmlAttribute(name = "currency", required = true)
    protected String currency;
    @XmlAttribute(name = "onRequest", required = true)
    protected boolean onRequest;
    @XmlAttribute(name = "negotiatedRate", required = true)
    protected boolean negotiatedRate;
    @XmlAttribute(name = "rateAccessCode")
    protected String rateAccessCode;

    /**
     * Gets the value of the offerCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOfferCode() {
        return offerCode;
    }

    /**
     * Sets the value of the offerCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOfferCode(String value) {
        this.offerCode = value;
    }

    /**
     * Gets the value of the totalPrice property.
     * 
     * @return
     *     possible object is
     *     {@link PriceBean }
     *     
     */
    public PriceBean getTotalPrice() {
        return totalPrice;
    }

    /**
     * Sets the value of the totalPrice property.
     * 
     * @param value
     *     allowed object is
     *     {@link PriceBean }
     *     
     */
    public void setTotalPrice(PriceBean value) {
        this.totalPrice = value;
    }

    /**
     * Gets the value of the taxes property.
     * 
     * @return
     *     possible object is
     *     {@link Double }
     *     
     */
    public Double getTaxes() {
        return taxes;
    }

    /**
     * Sets the value of the taxes property.
     * 
     * @param value
     *     allowed object is
     *     {@link Double }
     *     
     */
    public void setTaxes(Double value) {
        this.taxes = value;
    }

    /**
     * Gets the value of the voucherObservation property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVoucherObservation() {
        return voucherObservation;
    }

    /**
     * Sets the value of the voucherObservation property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVoucherObservation(String value) {
        this.voucherObservation = value;
    }

    /**
     * Gets the value of the cancellationFeesPolicy property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the cancellationFeesPolicy property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCancellationFeesPolicy().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link CancellationFeesPolicy }
     * 
     * 
     */
    public List<CancellationFeesPolicy> getCancellationFeesPolicy() {
        if (cancellationFeesPolicy == null) {
            cancellationFeesPolicy = new ArrayList<CancellationFeesPolicy>();
        }
        return this.cancellationFeesPolicy;
    }

    /**
     * Gets the value of the roomOffers property.
     * 
     * @return
     *     possible object is
     *     {@link Offer.RoomOffers }
     *     
     */
    public Offer.RoomOffers getRoomOffers() {
        return roomOffers;
    }

    /**
     * Sets the value of the roomOffers property.
     * 
     * @param value
     *     allowed object is
     *     {@link Offer.RoomOffers }
     *     
     */
    public void setRoomOffers(Offer.RoomOffers value) {
        this.roomOffers = value;
    }

    /**
     * Gets the value of the currency property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCurrency() {
        return currency;
    }

    /**
     * Sets the value of the currency property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCurrency(String value) {
        this.currency = value;
    }

    /**
     * Gets the value of the onRequest property.
     * 
     */
    public boolean isOnRequest() {
        return onRequest;
    }

    /**
     * Sets the value of the onRequest property.
     * 
     */
    public void setOnRequest(boolean value) {
        this.onRequest = value;
    }

    /**
     * Gets the value of the negotiatedRate property.
     * 
     */
    public boolean isNegotiatedRate() {
        return negotiatedRate;
    }

    /**
     * Sets the value of the negotiatedRate property.
     * 
     */
    public void setNegotiatedRate(boolean value) {
        this.negotiatedRate = value;
    }

    /**
     * Gets the value of the rateAccessCode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRateAccessCode() {
        return rateAccessCode;
    }

    /**
     * Sets the value of the rateAccessCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRateAccessCode(String value) {
        this.rateAccessCode = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="roomOffer" type="{http://webservice.gekko-holding.com/v2_4}roomOffer" maxOccurs="unbounded" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "roomOffer"
    })
    public static class RoomOffers {

        protected List<RoomOffer> roomOffer;

        /**
         * Gets the value of the roomOffer property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the roomOffer property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getRoomOffer().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link RoomOffer }
         * 
         * 
         */
        public List<RoomOffer> getRoomOffer() {
            if (roomOffer == null) {
                roomOffer = new ArrayList<RoomOffer>();
            }
            return this.roomOffer;
        }

    }

}
